
Hammer CLI - Feature #11236

Allow hammer hostgroup to set/update the root password field

07/28/2015 03:14 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Foreman commands (obsolete)   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1289133 In Kanboard:  

Pull request: https://github.com/theforeman/hammer-cl

i-foreman/pull/189

Red Hat JIRA:  

Team Backlog:    

Description

When you create a host group and associate it with an operating system, it is often useful to set the password (root) so that when

you provision a system associated to this host group, you know what password to use when trying to ssh into the system. Currently

one cannot use hammer hostgroup command to do that.

I'd like to request an improvement to hammer hostgroup so that one can set/update the password field. Perhaps something like:

hammer hostgroup update --name=<name of existing host group> --password=<new value>

 or

hammer hostgroup update --id=<id for existing host group> --password=<new value>

 This would be useful for automating provisioning scenarios via hammer.

Related issues:

Has duplicate Hammer CLI - Feature #7209: Unable to set password for hostgroup Duplicate 08/21/2014

Copied to Foreman - Feature #11240: Document root_pass parameter on hostgroup... Closed 07/28/2015

Associated revisions

Revision 344dde29 - 08/18/2015 09:19 AM - Shlomi Zadok

fixes #11236 - add root_pass option

Revision 84db9a65 - 08/19/2015 09:49 AM - Tomas Strachota 

Merge pull request #189 from shlomizadok/fix_11240

fixes #11236 - add root_pass option

History

#1 - 07/29/2015 03:02 AM - Dominic Cleal

- Project changed from Foreman to Hammer CLI

- Subject changed from Allow hammer hostgroup to set/update the password field to Allow hammer hostgroup to set/update the root password field

- Category set to Foreman commands (obsolete)

#2 - 07/29/2015 03:03 AM - Dominic Cleal

- Copied to Feature #11240: Document root_pass parameter on hostgroups API added

#3 - 08/18/2015 07:26 AM - Tomáš Strachota

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok
- Pull request https://github.com/theforeman/hammer-cli-foreman/pull/189 added

- Pull request deleted ()

#4 - 08/19/2015 10:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-foreman|344dde29c6356f9fe3817c872f8b221b20c0fcbe.

#5 - 08/21/2015 04:00 AM - Tomáš Strachota

- Has duplicate Feature #7209: Unable to set password for hostgroup added

#6 - 12/07/2015 08:59 AM - Stephen Benjamin

- Bugzilla link set to 1289133
